Package org.apache.tapestry5.internal.jpa

# Class TapestryCDIBeanManagerForJPAEntityListeners

java.lang.Object
org.apache.tapestry5.internal.jpa.NoopBeanManager
org.apache.tapestry5.internal.jpa.TapestryCDIBeanManagerForJPAEntityListeners

All Implemented Interfaces:
  `javax.enterprise.inject.spi.BeanManager`

public class TapestryCDIBeanManagerForJPAEntityListeners extends NoopBeanManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapestryCDIBeanManagerForJPAEntityListeners()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> javax.enterprise.inject.spi.AnnotatedType<T>`
  `createAnnotatedType(Class<T> type)`
  `<T> javax.enterprise.context.spi.CreationalContext<T>`
  `createCreationalContext(javax.enterprise.context.spi.Contextual<T> contextual)`
  `<T> javax.enterprise.inject.spi.InjectionTarget<T>`
  `createInjectionTarget(javax.enterprise.inject.spi.AnnotatedType<T> type)`

  ### Methods inherited from class org.apache.tapestry5.internal.jpa.NoopBeanManager

  `areInterceptorBindingsEquivalent, areQualifiersEquivalent, createBean, createBean, createBeanAttributes, createBeanAttributes, createInjectionPoint, createInjectionPoint, fireEvent, getBeans, getBeans, getContext, getELResolver, getExtension, getInjectableReference, getInjectionTargetFactory, getInterceptorBindingDefinition, getInterceptorBindingHashCode, getPassivationCapableBean, getProducerFactory, getProducerFactory, getQualifierHashCode, getReference, getStereotypeDefinition, isInterceptorBinding, isNormalScope, isPassivatingScope, isQualifier, isScope, isStereotype, resolve, resolveDecorators, resolveInterceptors, resolveObserverMethods, validate, wrapExpressionFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapestryCDIBeanManagerForJPAEntityListeners

    public TapestryCDIBeanManagerForJPAEntityListeners()

- ## Method Details

  - ### createAnnotatedType

    public <T> javax.enterprise.inject.spi.AnnotatedType<T> createAnnotatedType(Class<T> type)
    Specified by:
      `createAnnotatedType` in interface `javax.enterprise.inject.spi.BeanManager`
    Overrides:
      `createAnnotatedType` in class `NoopBeanManager`

  - ### createInjectionTarget

    public <T> javax.enterprise.inject.spi.InjectionTarget<T> createInjectionTarget(javax.enterprise.inject.spi.AnnotatedType<T> type)
    Specified by:
      `createInjectionTarget` in interface `javax.enterprise.inject.spi.BeanManager`
    Overrides:
      `createInjectionTarget` in class `NoopBeanManager`

  - ### createCreationalContext

    public <T> javax.enterprise.context.spi.CreationalContext<T> createCreationalContext(javax.enterprise.context.spi.Contextual<T> contextual)
    Specified by:
      `createCreationalContext` in interface `javax.enterprise.inject.spi.BeanManager`
    Overrides:
      `createCreationalContext` in class `NoopBeanManager`